דף הבית » חדשות ועדכונים

וורדפרס 3.6.1

14 בספטמבר 2013 | מאת רמי | תגובה אחת | תגיות: ,

גרסה 3.6.1 של וורדפרס היא גרסת תחזוקה ואבטחה המטפלת ב-13 באגים. גרסה זו חוסמת שלוש פרצת אבטחה המאפשרות, במקרים מסויימים, הזרקת קוד מרחוק, גרסה זו גם חוסמת בקשות של משתמש בעל הרשאת "מחבר" לכתוב פוסטים תחת משתמש אחר, ומוסיפה ולידציה נוספת כדי למנוע אפשרות להעביר משתמשים לאתרים אחרים. כמו כן, עודכנו הגבלות האבטחה סביב מערכת העלאת הקבצים כדי למנוע אפשרות של הזרקת קוד זדוני (XSS).

לוגו וורדפרס

לוגו וורדפרס

אבטחה ותחזוקה

כאמור, בגרסה 3.6.1 מטפלים בשלוש סוגיות אבטחה לכן כל האתרים המשתמשים בגרסאות ישנות נדרשות לשדרג לגרסה זו.

כמו כן, הוסרו ארבעת הקבצים הבאים:

  • wp-admin/js/categories.js
  • wp-admin/js/categories.min.js
  • wp-admin/js/custom-fields.js
  • wp-admin/js/custom-fields.min.js

בשרתים מסוימים "השדרוג האוטומטי" לא מצליח למחוק קבצים. לכן, אחרי השדרוג, מומלץ לבדוק בעזרת בתוסף Old Core Files האם כל קבצי הליבה הישנים נמחקו.

וורדפרס 3.6.1 בעברית

שחררתי את הגרסה העברית של וורדפרס 3.6.1. אל תשכחו לבצע גיבוי למסד הנתונים וקבצי האתר לפני שאתם משדרגים.

מאת רמי

אחראי על אתר וורדפרס בעברית ועל תרגום ושחרור גרסאות וורדפרס בעברית. מפתח ליבה, בכל גרסה החל מגרסה 2.8, מפתח מוביל בגרסה 4.4 ובגרסה 4.6. מספק שירותי פיתוח אתרים, פיתוח תוספי וורדפרס לסטרטאפים ופיתוח כלים למפתחי וורדפרס - GenerateWP.com.

תגובה אחת »

  • שלומי כותב :

    למה לא מתקנים את השעה ההפוכה בתזמון פוסטים?

הוסף תגובה !

נא לא לשאול שאלות שלא קשורות לפוסט, זהו לא פורום תמיכה. לבעיות אישיות ונושאים מורכבים אפשר ליצור איתי קשר.

תגיות HTML מורשות לשימוש:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>